package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * TipoUsuario generated by hbm2java
 */
@Entity
@Table(name = "tipo_usuario", catalog = "gestion_actividades")
public class TipoUsuario implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idTipoUs;
	private String tipoUsuario;
	private List<Usuarios> usuarioses = new ArrayList<Usuarios>();

	public TipoUsuario() {
	}

	public TipoUsuario(String tipoUsuario) {
		this.tipoUsuario = tipoUsuario;
	}

	public TipoUsuario(String tipoUsuario, List<Usuarios> usuarioses) {
		this.tipoUsuario = tipoUsuario;
		this.usuarioses = usuarioses;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_tipo_us", unique = true, nullable = false)
	public Integer getIdTipoUs() {
		return this.idTipoUs;
	}

	public void setIdTipoUs(Integer idTipoUs) {
		this.idTipoUs = idTipoUs;
	}

	@Column(name = "tipo_usuario", nullable = false, length = 13)
	public String getTipoUsuario() {
		return this.tipoUsuario;
	}

	public void setTipoUsuario(String tipoUsuario) {
		this.tipoUsuario = tipoUsuario;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "tipoUsuario")
	public List<Usuarios> getUsuarioses() {
		return usuarioses;
	}

	public void setUsuarioses(List<Usuarios> usuarioses) {
		this.usuarioses = usuarioses;
	}

}
